PeopleForce
Core

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

Update a department

Updates a department

PUT
/api/v4/departments/{id}

Updates a department

Path Parameters

id*integer
Formatint64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Updates a department

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v4/departments/0" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": 0,    "name": "string",    "parent_id": 0,    "manager_id": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "fields": {      "property1": {        "name": "string",        "value": null      },      "property2": {        "name": "string",        "value": null      }    }  }}